%define lang he
%define langrelease 0
Summary: Hebrew dictionary for Aspell
Name: aspell-%{lang}
Version: 1.0
Release: 1%{?dist}
License: GPL
Group: Applications/Text
URL: http://aspell.net/
Source: ftp://ftp.gnu.org/gnu/aspell/dict/%{lang}/aspell6-%{lang}-%{version}-%{langrelease}.tar.bz2
Buildrequires: aspell >= 12:0.60
Requires: aspell >= 12:0.60
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%define debug_package %{nil}

%description
Provides the word list/dictionaries for Hebrew.

# Note that this package, like other aspell's language packs, does not come up
# cleanly through rpmlint, but with the following errors:
# E: aspell-he no-binary
# E: aspell-he only-non-binary-in-usr-lib
# This is because the package contains only data files which sit under /usr/lib.
# They have to stay there, as they are architecture-dependent (due to
# byte-ordering issues).

%prep
%setup -q -n aspell6-%{lang}-%{version}-%{langrelease}

%build
cat > Makefile <<EOF
ASPELL = aspell
DEST_DIR = $RPM_BUILD_ROOT
WORD_LIST_COMPRESS = word-list-compress
PREZIP = prezip
dictdir = ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60
datadir = ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60
EOF
cat Makefile.pre >> Makefile
make

%install
make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING Copyright
%{_libdir}/aspell-0.60/*

%changelog
* Mon May 15 2006 Dan Kenigsberg <danken@cs.technion.ac.il> 1.0-1
- new Hspell version.
* Sun Apr 23 2006 Dan Kenigsberg <danken@cs.technion.ac.il> 0.9-2
- Cleaned the spec file according to Bug 189157.
- Added a comment explaining why the rpmlint gives Errors for this package.
* Sun Apr 16 2006 Dan Kenigsberg <danken@cs.technion.ac.il> 0.9-1
- Stolen from the French spec file 50:0.50-9.2.1
